Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface ContainerListener

All Known Implementing Classes:
  FastEngineMapper, NamingContextListener, ServerLifecycleListener

public interface ContainerListener

Interface defining a listener for significant Container generated events. Note that "container start" and "container stop" events are normally LifecycleEvents, not ContainerEvents.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:13:30 $
Author:
  Craig R. McClanahan

Method Summary
`void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### containerEvent

    public void containerEvent(ContainerEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - ContainerEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.